<?php

namespace Drupal\friend_flag\Form;

use Drupal\Core\Config\ConfigFactoryInterface;
use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configuration form sets limit how long pending friend requests remain
 * in the friend flag block.
 */
class FriendRequestLimitConfigurationForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['friend_flag.request_time_limit'];
    
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'friend_flag_configuration_form';
  }

  /**
   * {@inheritdoc}
   */
  
  public function buildForm(array $form, FormStateInterface $form_state) {
    
  $config = \Drupal::config('friend_flag.request_time_limit');
  $form['request_time_limit'] = [
  '#type' => 'select',
  '#title' => $this->t('Number days before friend requests removed from column in Friend Flag block'),
  '#options' => [
    '0' => $this
      ->t('Never'),
    '1' => $this
      ->t('1'),
    '2' => $this
      ->t('2'),    
    '3' => $this
      ->t('3'),
    '4' => $this
      ->t('4'),
    '5' => $this
      ->t('5'),
    '6' => $this
      ->t('6'),    
    '7' => $this
      ->t('7'),
    '8' => $this
      ->t('8'),
    '9' => $this
      ->t('9'),
    '10' => $this
      ->t('10'),    
    '11' => $this
      ->t('11'),
    '12' => $this
      ->t('12'),
    '13' => $this
      ->t('13'),
    '14' => $this
      ->t('14'),    
  ],
  '#default_value' => $config->get('request_time_limit'),
];
    

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('friend_flag.request_time_limit')
      ->set('request_time_limit', $form_state->getValue('request_time_limit'))
      ->save();
    
    \Drupal::logger('friend_flag')->notice('You saved the config as  ' . $form_state->getValue('request_time_limit')  );

    parent::submitForm($form, $form_state);

    
  }
}